PROGRAM Process_Circles_3
!---------------------------------------------------------
! Program to calculate and display areas of circles with
! given radii.
! Imports from module Circle:
!          real parameter Pi
!          real variable Radius
!          real-valued function Area
! Input:   Diameter of circle
! Output:  Area of circle
!---------------------------------------------------------

   USE Circle
   REAL :: Diameter

   DO
      PRINT *, "Enter diameter of circle (negative to stop):"
      READ *, Diameter
      IF (Diameter < 0) EXIT
      Radius = Diameter / 2.0
      PRINT *, "Area = ", Area(Radius)
   END DO

END PROGRAM Process_Circles_3
